## dstroy 1.7-1

=== Makefile ===
# Makefile for GNU/Linux

ifndef PREFIX
	PREFIX=/home/user/.dstroy/
endif

# TODO: split install dir from data dir compiled in the sources
BINDIR = /home/user/.dstroy/

ifndef DATADIR
	DATADIR = /home/user/.dstroy/data
endif

ifndef DOCDIR
	DOCDIR = $(PREFIX)/doc
endif

CONFIGDIR = /home/user/.dstroy

CROSS_COMPILE = 
SDL_BASE = 
LDFLAGS = 

OWNER=
GROUP=

ifdef BINDIR
CONFIG_BINDIR = -DBINDIR="\"$(BINDIR)\""
endif

ifdef DATADIR
CONFIG_DATADIR = -DDATADIR="\"$(DATADIR)\""
endif

ifdef CONFIGDIR
CONFIG_CONFIGDIR = -DCONFIGDIR="\"$(CONFIGDIR)\""
endif

CC = $(CROSS_COMPILE)gcc
CXX = $(CROSS_COMPILE)g++
STRIP = $(CROSS_COMPILE)strip
INSTALL = install

CFLAGS = `$(SDL_BASE)sdl-config --cflags` -O2 -Wall -DLINUX $(CONFIG_BINDIR) $(CONFIG_DATADIR) $(CONFIG_CONFIGDIR)
CXXFLAGS = `$(SDL_BASE)sdl-config --cflags` -O2 -Wall -DLINUX $(CONFIG_BINDIR) $(CONFIG_DATADIR) $(CONFIG_CONFIGDIR)
LIBS = `$(SDL_BASE)sdl-config --libs` -lSDLmain -lSDL_mixer -lSDL_image -lSDL_net -lpthread
CPPFILES	:=	$(foreach dir,src,$(wildcard $(dir)/*.cpp))

SDLTEST_TARGET = dstroy
SDLTEST_OBJS = $(CPPFILES:.cpp=.o)
#SDLTEST_OBJS=DstroyGlobals.o TGIFile.o DstroyMenuGP2XCommands.o DstroyBonusText.o PadTest.o PadTestItem.o DstroyFloor.o DstroyGame.o DstroyItem.o DstroyMonster.o DstroyPlayer.o DstroyWall.o stdafx.o TGIGlobals.o TGIInputMessage.o TGIMain.o TGIObject.o TGISprite.o TGISurface.o TGITime.o DstroyExplosion.o DstroySoftWall.o DstroyBomb.o TGIScreen.o DstroyBonus.o TGISound.o DstroyMenuAdventure.o DstroyMenuItem.o DstroyMenuMain.o DstroyMenuManager.o DstroyMenu.o dstroy.o DstroyMenuFight.o DstroyTeleporting.o DstroyGameParams.o DstroyMenuOptions.o DstroyMenuCommandConfig.o DstroyMenuLoad.o DstroyMenuPause.o DstroyPressFire.o DstroyPressFireItem.o TGIFont2.o DstroyIntro.o DstroyAI.o DstroyNest.o DstroyEndGame.o DstroyOptions.o DstroyIntro2.o DstroyTitle.o DstroyMenuNetServer.o DstroyNetClient.o DstroyNetServer.o TGINetClient.o TGINetServer.o TGIRect.o TGIReserve.o

DOC_FILES=LICENSE.txt
DOC_DATA_FILES=LICENSE-data.txt

all : $(SDLTEST_TARGET)

$(SDLTEST_TARGET) : $(SDLTEST_OBJS)
	$(CXX) $(LDFLAGS) -o $(SDLTEST_TARGET) $(SDLTEST_OBJS) $(LIBS)
	$(STRIP) $(SDLTEST_TARGET)

install : install-bin install-data

install-bin : install-doc
	$(INSTALL) -c -o $(OWNER) -g $(GROUP) -m 750 -d $(DESTDIR)/$(BINDIR)
	$(INSTALL) -c -o $(OWNER) -g $(GROUP) -m 750 $(SDLTEST_TARGET) $(DESTDIR)/$(BINDIR)

install-data : install-data-doc
	$(INSTALL) -c -o $(OWNER) -g $(GROUP) -m 750 -d $(DESTDIR)/$(DATADIR)
	$(INSTALL) -c -o $(OWNER) -g $(GROUP) -m 640 dstroydata/* $(DESTDIR)/$(DATADIR)

install-doc :
	$(INSTALL) -c -o $(OWNER) -g $(GROUP) -m 750 -d $(DESTDIR)/$(DOCDIR)/dstroy
	$(INSTALL) -c -o $(OWNER) -g $(GROUP) -m 650 $(DOC_FILES) $(DESTDIR)/$(DOCDIR)/dstroy/

install-data-doc :
	$(INSTALL) -c -o $(OWNER) -g $(GROUP) -m 750 -d $(DESTDIR)/$(DOCDIR)/dstroy
	$(INSTALL) -c -o $(OWNER) -g $(GROUP) -m 650 $(DOC_DATA_FILES) $(DESTDIR)/$(DOCDIR)/dstroy/

clean:
	rm -f $(ALL_TARGETS) $(SDLTEST_TARGET) src/*.o src/*~

=== debian/changelog ===
dstroy (1.7-1) unstable; urgency=low

  * Initial release (Closes: #nnnn)  <nnnn is the bug number of your ITP>

 -- CepiPerez <cepiperez@gmail.com>  Tue, 27 Apr 2010 15:11:08 -0300

=== debian/control ===
Source: dstroy
Section: user/games
Priority: extra
Maintainer: CepiPerez <cepiperez@gmail.com>
Build-Depends: debhelper (>= 5), libsdl1.2-dev, libsdl-net1.2-dev, libsdl-image1.2-dev, libsdl-mixer1.2-dev
Standards-Version: 3.7.2

Package: dstroy
Architecture: armel
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Dstroy is a bomberman-like. It was originally developped FBS in 1995, on DOS. 
XSBC-Bugtracker: mailto:cepiperez@gmail.com
XSBC-Maemo-Display-Name: DStroy
XB-Maemo-Icon-26:
 iVBORw0KGgoAAAANSUhEUgAAADAAAAAwCAYAAABXAvmHAAAAAXNSR0IArs4c
 6QAAAAZiS0dEAP8A/wD/oL2nkwAAAAlwSFlzAAALEwAACxMBAJqcGAAAAAd0
 SU1FB9oEGxIJJhGEqh0AAA8SSURBVGje7ZpplFXVlcd/+9w311xFDVRRVDGJ
 zAIiYASnIMSADUkHEpdm6pip04MmJm0n6c5kzEon6UzdZmgzmQFNoiYGjGii
 QATFgSBBZoqiBqqo+U33vTuc3R+qRDurW0Wxkw/ZX9666513zvmf89/Df98H
 f7G/2CsyeTUmvf4nIxFrn3tWoLal3H78IrF/tgD+9j0bYk/3bGgeycRmxVK6
 EiX6/HXCIDyWGxrY+C//9c6Oa+ZK8GcFYPplT66pKHVv8QuDNUW3WKk2SPwv
 w0JV2x+NR09VjnPu2P7TN978JwdwxYY7GtKFxtusOle6mT61YSA29HRsXkV1
 dH55dhlVVQQNiCVim6oax39o648uPvD/DuDSdbfXZe2sa4Twk9ZLl+azA6o2
 FFAFkTBUSsoS1DdXUVpm6OspMnCyn6CYQQlGgYQFicQSKOH6Mjl1z65HbvZf
 zl4iZ/qDddd+e+3J3IyvEKQnep6LX8wrakVVMcaI54Vcumo2c2fV4kqM4aKh
 tRjQ3hFwcPtW8kMdGMcIKEHRBeHOvqDmr4GfvxwAzpkMXrP+87U97kVPapCv
 8NwcoV8EQdQGGGOw1rLw/Am8buU0ItEIFUlhOG+xCvFEhKpzFmHCIsO9nYgY
 xAgiqAgbxjdfsK2va9vxMwVgXurApWseLh/UFdtEAvKZAbU2RK2PDT1EwPdD
 WifV8Jar51BSCtHoKKEcI4gREMHLpambuYgJk2fynFOIGFH1wsr7piz44sJX
 DYCnpT9Aw3OLuWFEHCm6ebLZAgXXJwhC6hvruO7dCxAjqEIqCTiGwHfIDFoy
 2QiIgwLNU2aTTJWOureoIiIiGjPGfv5VodCiNY98IFWWut4vuFp0M5JKwcXL
 m1n9V7OZOaOe9hMZrrl2DtXVcQo+DI5YhoeV3bsPsv3e22go/QNe/yGcWAuB
 B3EnQnq4j1x6iNHzR2WUTanaphVb+rsf6D2rThyJJf/RL7jksyPS2Fiib337
 DKmtKaHgWbzGchJ1DTSNtwynLePKDJcuq+LBh5/gt7/9Of/x4dVcuupi2o53
 0Z/OE0lW8cjePKnyFWz6wa3EEzFABQSLjBOoPqsUmrNi+ztisciUwPfUzfm8
 7/3zpbwsgVsIyOWUbN4ShhbXDVk2N8mqpZVsfuAxPvuVuzln6kTmL1+KWwxI
 JlK0t51k/rQS3r2miqtXJxlXm8JaEHGwYU41HHJCP3xT67yvylkDUFkVf3sQ
 hOrmCnLt285FRMeiPXg+hBaGh0Neu6CM+qoYRc9y1+bHcAQOPtPOxk176T6V
 xhfY/vv20+knlVCaJ0/EczsJ/FNY6wpqEUbqI3TIWaHQyrf8rNaPVZRmBwck
 mTJaUxOXoqdYC8aA6yoSjVGWLFKSNIgIPb29+IHlvDmttLf189EPfprPxJOM
 n3ouVvIAWAuN1VGi8Rg2LKBhOOrgahXrvhH1DGBfMQDr1JWEvldqbUBJQiVV
 Egcsi6aX4BhDvuBz45d+w1WXzUekHIBcvsC6VfNYv2YZA0MZtu58DTd96sfk
 8zlSJc9duAgIMvopBlULImKtxVo9Oz6QdePjQ9+vVWtRDLmMcOUFlTRUR2lu
 iHPnT3/F65enqCqvpG8kQK1lSmsjPe19lJfEqKsp55p1l7Dzgc/Qem4jC+ZO
 H13UwIk+6Dm6A3GiY4DkZdU1LwhAVJNhEMREhNAqFy1Ijp2YYIA9+9ooZhxK
 4z77211iEUMkEmf+3PF8584dZPMBXX05MkMeF86dxo3vXUW+EOCH4AcBe/ce
 IRJxRjPey7QXpJACxhjEGJLRkFTM/I/vxtVVcdvt95O0v+SC5W9gzrSljEsp
 r1u5nCd+v5/f/HoLA+kiU6eM4y2rFzK+fhwKRKIOm+7ZRElZFacjwuiUomcT
 gDHWFTGe2rBEnAj2eTIrCGH1a6YhkRKuWTOLW768mR/dO4Grr5xAdSnMmTWd
 BeeNlgxBoFgb8myd/fShfh7csoNoLP48vosgojFjxZyB3nlBCoVe0IkwiBjN
 ZnJk889N7PshV121nBkTykiVjWfzHR/j8B8e5oFdp+ge8FBVgiDE8wKsDTEy
 WmL0jvh8/dZf0d2VQVURsaMpDKuioXhB8OOsOxKeFQC2eNI1jimIiJzqzfDM
 sQyxiMGqAkreM7zrbavIZ4f43DfvY+b0WghDtjyRZX+nT1/GxzEQiwhZz3K0
 T/jqrb/koS2P4kSjoCFYF7FpVH1E80Sizu+62ja9ZCa9oOOvWPuRaCG+fnvg
 2cXpwQ58r8jG71/BzJYKQquIyNgpCrGYIZu3/G5fhmgswQ+/v415C6cyd1YD
 2VyRrq6T3LVxM4f3txGLRzFhGrUuRp71KcGqZgtu/gqz0t1XrpOiFTqpsPPb
 N+VekSJbvOa3X4skKj+Q6e+iWMhQXRPnR99YSVNDksC3p0EAOBHDtie62bxl
 F/fcsRnr+4xramF4qEA2PUQqlcAYAxoiNoPYAmIsoiiCBJYBqTDXHH3szl+f
 VUm5bP0udXMFzadPiu8FNE9I8eEbFnPZkvEYFKvgBsJNn/gZjz3yO/r6I0Si
 BvCxYTAado0Zi5YhJhxC1EewqIwpUUVdP9gTS1VdfGzvd9NntZyun/a+pmQq
 udAGodrQlWzO8ot79/GbbW34IoxkM1z3ni/w+M5dBHYc0Xg1qjnQAGOcsVt6
 NloKQhHR0xJYQ2vFCwKc6pKfH999+z0vtJcl7/n0+s4nH9p3Rjewcu2Xm3Ox
 S3bbMKzJDHZp6LuioUsQ5Mhnh/C8AqUlEWKxUhBBrUcYDIEtoGPLiIwGUbUB
 YkcwWiRA8MKQILTEovH9HQc2znyxvSx46w2LE759ZsdPvpw5o67EhW/csSoa
 K/1F0XVjbrYfLz+oNhgStQVEzJg+fPZMA8KgD7X+6Y7KaIdlNHp5YY6oZpju
 9ZKwvjoSkchS/x/u+OFTX0O8F41A7/rkvFgskjf/+dHDhTMqP66+Yff1xzuc
 z1ovH89nB6SQOY6G2VGB/ryIpNYjDNNo6J4+eVCsGqwtsir3KK1uHzUYzil4
 DIqoVQkt9B+bkrrpn5468r0X28stX2hN3fSh4/kzrp8uf/O/Xxc4Kz4WFIsT
 C25OCyPt4hf7Va0nIjJGF4fA70PDHCJgVYjhM84/xfr0TsRTnLIyZrROovWi
 xZrLuwKioetK71N7ODrY+d73Hzr6zVetsTV75W3NqXj9N1KlLVcGfmAL2QHj
 FYbVy/dJGKQREWyYwwZDKEKJuqzOPk5zcRC1SlVjA6/9u/fSFang1rsexFML
 gkaNIzFr9fKRY7Qf3XvjDSdOfvFVbS2ev27/Uqt9O1Kl9epnh0WtRW2Am+nE
 Hd6LtQVwCny4/wHCwMOKodwqC86bx8x//Qgjg0N07z9Kxg9xcxkc46gVI/X5
 HvY8tHPwaEf7qo+f6n38rHbmAKY3zmhes3TR5UsW31fj/+r+R7eeOG9JunY2
 3TZK4GYg105SoKA53jn0KJW+jwECa5luDLa3jyCd5lTG8uOnjpAPLRWMoJGI
 ADSbgEWzplX3dnV+51tNLRe9u6t95KwAuGDyxGpbMff9H790znVPH++cOHXO
 fCafv5CJH7xe+564XfoSZTiAikNOLb5amq2PGAOqNIigYiAIUISWpiquW76I
 8qiQjMcZPHqYkVO9DHe1aWc6i2Mjs3uTzqeBv3/FFLr2zWtvv3D8/Nf373u0
 olg7zbxz2XwyEWXCuXNV29rk8Ztv1pHhYRlG8AjxrVImhnpxiBGiKlSKQ0QE
 cRziTY1Yx+D5Hr09vQRhiKplQC3e2LZ8QnwLN576v0X+i2bimVPnNL2vYdL3
 Fu5v27B8Wmty9dVXEwnScqI7zdKVy/CfPihDhw9x/OAB6c27o21EIFRLlRjK
 sJRLhAoTOa3msBZ/aBgdHqE4PMywV6TgONhogjCZIizkUTGEqvhYXpuq7Hsw
 n378jG9g49c/N3/cpHl3Jvb9YWrPg9sH2P1U1eQZM0zjunVES0s5tmkT/QcO
 kB8YxEMYiBhEIVBLoEqdcWjCUPrHeWKsji/6HgdjMWIXL6bpyrVUmjyJEeGR
 e+4m+9gjEItRQCkYtn6ip/OSMwbQfnDv3trJs2ZHuo5p5307/ZPf+oYx3d0R
 ScRwBdJugVAMRpUhEfIoAhTVEqpSJw6TjSHOqA+ICNaGJCwMBEV2XXIJ6z/1
 EWqnzsAYB1PIET12hPThHrZt3crRe+/GujmGjBzy4qVL/u3EgaGX7MR3fPVL
 G+tap8+2gdWgvEJS42uHCiqGSKQ2GgpBWMS3Shh1sIAfeGAMtqwcikXUL+CZ
 CN1AjRi0ZSLZ4RGygUdhyULaJEVTRQIv7dJ35CixaAI71IH0DKEjeepaJnLi
 iisoPLNPg+7OeOiEJcBLBxCvqN1mxNlgogbJBJzqOFnZduE8mXvhchjswx5q
 xz+4n6l/s578gS6O7dhBf2hZ/5l/IX+4nbtv/wmpGdMYcS096T7eccuNPPTD
 +9l3vJvP3vYFALoPHKLv4H5OnWhDuzswRSHmZqkdP5mGqmqmNDQz8fLL2HLo
 YOXTTz00kaOHO1+yE69Ysmz3sf37/HhH72Xu4WN89+GHnGs/8bHI9IuWalNd
 UnY9eZzz3/UmZq9eS0t1JZlMhuolC7lg7VVoXy9HjrbRNHUqVNVDeZQlb3gT
 E0oCbv7WPUQ6j1AST2nLnDnSMPNcnTh7trRMb2JiQzPVqSoeP36Er9y3C7e6
 kW/+YosUssfj9x/cf2HljJpi5aSameVtS/emP3n4xX1g0fkku93Kf07ac1bk
 /HFNzeOT0ZKIKQkzrh4fSTO3rpSa1nok67L/RI/UpRzjxquTHT19kvMNM6od
 2gZdmitKaSlNEKSS7Gnrojc7Ql1MmNHQqNb3xXEcIrFSTmSLnMoMYKzDsDdC
 GA4QlSi2TDUWd0TtaMNxTEpc1Xnw2L0vOQ/ULyPV3864lCmbTjRqS+NRhl0f
 L1dAIw4VpSnHtxqLqk6Ox2PlEYFCCDEHa22i1Q/DSlRtKu6AtWLFWRT4tgoh
 IkpCFRxRREelmhEz2iYyGiEi8dEHxWBQUVDu7NhzbMOr8qb+j23igpYIahxV
 xT6bC0LGi0gC1aRCDWBFxEdZitA0+poWi1CPsmKs2ZsG7gJ2A9s69hw7+Zc/
 W/yp7b8BH0O9mhGkYYwAAAAASUVORK5CYII

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1




CFLAGS = -Wall -g

ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -O0
else
	CFLAGS += -O2
endif

configure: configure-stamp
configure-stamp:
	dh_testdir
	# Add here commands to configure the package.

	touch configure-stamp


build: build-stamp

build-stamp: configure-stamp 
	dh_testdir

	# Add here commands to compile the package.
	make
	#docbook-to-man debian/dstroy.sgml > dstroy.1

	touch $@

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp

	# Add here commands to clean up after the build process.
	make clean

	dh_clean 

install: build
	dh_testdir
	dh_testroot
	dh_clean -k 
	dh_installdirs

	# Add here commands to install the package into debian/dstroy.
	# $(MAKE) DESTDIR=$(CURDIR)/debian/dstroy install
	cp $(CURDIR)/dstroy.sh $(CURDIR)/debian/dstroy/usr/bin/dstroy
	cp $(CURDIR)/dstroy.desktop $(CURDIR)/debian/dstroy/usr/share/applications/hildon/dstroy.desktop
	cp $(CURDIR)/icon-48.png $(CURDIR)/debian/dstroy/usr/share/icons/hicolor/48x48/hildon/dstroy.png
	cp $(CURDIR)/icon-64.png $(CURDIR)/debian/dstroy/usr/share/icons/hicolor/64x64/hildon/dstroy.png
	cp $(CURDIR)/dstroy $(CURDIR)/debian/dstroy/home/user/.dstroy/dstroy
	cp $(CURDIR)/commands $(CURDIR)/debian/dstroy/home/user/.dstroy/commands
	cp $(CURDIR)/data.tar.gz $(CURDIR)/debian/dstroy/home/user/.dstroy/data.tar.gz



# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
#	dh_installchangelogs 
#	dh_installdocs
#	dh_installexamples
#	dh_install
#	dh_installmenu
#	dh_installdebconf	
#	dh_installlogrotate
#	dh_installemacsen
#	dh_installpam
#	dh_installmime
#	dh_python
#	dh_installinit
#	dh_installcron
#	dh_installinfo
	dh_installman
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
#	dh_perl
#	dh_makeshlibs
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	cp $(CURDIR)/prerm $(CURDIR)/debian/dstroy/DEBIAN/prerm
	cp $(CURDIR)/postinst $(CURDIR)/debian/dstroy/DEBIAN/postinst
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure

## dstroy 1.7-2

=== Makefile ===
--- 
+++ 
@@ -48,7 +48,6 @@
 
 SDLTEST_TARGET = dstroy
 SDLTEST_OBJS = $(CPPFILES:.cpp=.o)
-#SDLTEST_OBJS=DstroyGlobals.o TGIFile.o DstroyMenuGP2XCommands.o DstroyBonusText.o PadTest.o PadTestItem.o DstroyFloor.o DstroyGame.o DstroyItem.o DstroyMonster.o DstroyPlayer.o DstroyWall.o stdafx.o TGIGlobals.o TGIInputMessage.o TGIMain.o TGIObject.o TGISprite.o TGISurface.o TGITime.o DstroyExplosion.o DstroySoftWall.o DstroyBomb.o TGIScreen.o DstroyBonus.o TGISound.o DstroyMenuAdventure.o DstroyMenuItem.o DstroyMenuMain.o DstroyMenuManager.o DstroyMenu.o dstroy.o DstroyMenuFight.o DstroyTeleporting.o DstroyGameParams.o DstroyMenuOptions.o DstroyMenuCommandConfig.o DstroyMenuLoad.o DstroyMenuPause.o DstroyPressFire.o DstroyPressFireItem.o TGIFont2.o DstroyIntro.o DstroyAI.o DstroyNest.o DstroyEndGame.o DstroyOptions.o DstroyIntro2.o DstroyTitle.o DstroyMenuNetServer.o DstroyNetClient.o DstroyNetServer.o TGINetClient.o TGINetServer.o TGIRect.o TGIReserve.o
 
 DOC_FILES=LICENSE.txt
 DOC_DATA_FILES=LICENSE-data.txt

=== debian/changelog ===
dstroy (1.7-2) unstable; urgency=low

  * Some fixes

 -- CepiPerez <cepiperez@gmail.com>  Wed, 28 Apr 2010 15:57:25 -0300

=== debian/control ===
--- 
+++ 
@@ -8,9 +8,9 @@
 Package: dstroy
 Architecture: armel
 Depends: ${shlibs:Depends}, ${misc:Depends}
-Description: Dstroy is a bomberman-like. It was originally developped FBS in 1995, on DOS. 
+Description: Dstroy is a bomberman-like game.
 XSBC-Bugtracker: mailto:cepiperez@gmail.com
-XSBC-Maemo-Display-Name: DStroy
+XSBC-Maemo-Display-Name: Dstroy
 XB-Maemo-Icon-26:
  iVBORw0KGgoAAAANSUhEUgAAADAAAAAwCAYAAABXAvmHAAAAAXNSR0IArs4c
  6QAAAAZiS0dEAP8A/wD/oL2nkwAAAAlwSFlzAAALEwAACxMBAJqcGAAAAAd0

=== debian/rules ===
--- 
+++ 
@@ -62,6 +62,8 @@
 	cp $(CURDIR)/icon-48.png $(CURDIR)/debian/dstroy/usr/share/icons/hicolor/48x48/hildon/dstroy.png
 	cp $(CURDIR)/icon-64.png $(CURDIR)/debian/dstroy/usr/share/icons/hicolor/64x64/hildon/dstroy.png
 	cp $(CURDIR)/dstroy $(CURDIR)/debian/dstroy/home/user/.dstroy/dstroy
+	cp $(CURDIR)/LICENSE.txt $(CURDIR)/debian/dstroy/home/user/.dstroy/LICENSE.txt
+	cp $(CURDIR)/LICENSE-data.txt $(CURDIR)/debian/dstroy/home/user/.dstroy/LICENSE-data.txt
 	cp $(CURDIR)/commands $(CURDIR)/debian/dstroy/home/user/.dstroy/commands
 	cp $(CURDIR)/data.tar.gz $(CURDIR)/debian/dstroy/home/user/.dstroy/data.tar.gz
